Bug 298791 - anaconda reports "Missing ISO 9660 image" at beginning of NFS install
anaconda reports "Missing ISO 9660 image" at beginning of NFS install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-20 14:28 EDT by Tom Wood
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 17:20:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2007-09-20 14:28:36 EDT
Description of problem: After supplying NFS server name and path, anaconda then
pops up a window titled "Missing ISO 9660 image", stating "The installer has
tried to mount image #1, but cannot find it on the server.  Please copy this
image to the remote server's share path and click Retry.  Click Exit to abort
the installation."

Version-Release number of selected component (if applicable):

How reproducible: Every time

Steps to Reproduce:
1. Boot rescue CD for 7.91 (F8 Test 2).
2. Export directory on NFS server containing the DVD iso of F8T2.
3. Run anaconda and tell it about this server and this ISO image location.
4. Get "Missing ISO 9660 image" error above.
Actual results:  DVD ISO image is successfully mounted on /mnt/source
(/mnt/source/images/stage2.img exists), but anaconda can't seem to find this
"image #1".  /mnt/sources2 contains all of what /mnt/sources contains plus a few
more files and directories, including repodata.

Expected results:  Should have proceeded with install.

Additional info:
Comment 1 Jerry Vonau 2007-09-21 23:16:01 EDT
Does a boot iso (non-rescue) show the same behavior? There is some new code in 
anaconda about mounting a rescue cd, current CVS has that at /mnt/source2 
not /mnt/sources2 (could you confirm that path please) and using that for the 
stage2.img. When that error shows up, at tty2, could you check what is mounted.
Comment 2 Chris Lumens 2007-10-02 17:20:37 EDT
This should be fixed in the next test release.  I did some work in this area
just a few days ago.  Please try it out and reopen this bug report if you
continue to see this problem.

Note You need to log in before you can comment on or make changes to this bug.